rel.cpp File Reference
`#include <gecode/minimodel.hh>`
`#include "test/set.hh"`

Go to the source code of this file.

## Classes

class | Test::Set::Rel::RelBin
| Test for binary set relation constraint More...
class | Test::Set::Rel::ITE
| Test for if-then-else-constraint More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Set
| Testing finite sets.
namespace | Test::Set::Rel
| Tests for relation constraints

## Variables

RelBin | Test::Set::Rel::_relbin_eq (Gecode::SRT_EQ, false)
RelBin | Test::Set::Rel::_relbin_lq (Gecode::SRT_LQ, false)
RelBin | Test::Set::Rel::_relbin_le (Gecode::SRT_LE, false)
RelBin | Test::Set::Rel::_relbin_gq (Gecode::SRT_GQ, false)
RelBin | Test::Set::Rel::_relbin_gr (Gecode::SRT_GR, false)
RelBin | Test::Set::Rel::_relbin_nq (Gecode::SRT_NQ, false)
RelBin | Test::Set::Rel::_relbin_sub (Gecode::SRT_SUB, false)
RelBin | Test::Set::Rel::_relbin_sup (Gecode::SRT_SUP, false)
RelBin | Test::Set::Rel::_relbin_disj (Gecode::SRT_DISJ, false)
RelBin | Test::Set::Rel::_relbin_cmpl (Gecode::SRT_CMPL, false)
RelBin | Test::Set::Rel::_relbin_shared_eq (Gecode::SRT_EQ, true)
RelBin | Test::Set::Rel::_relbin_shared_lq (Gecode::SRT_LQ, true)
RelBin | Test::Set::Rel::_relbin_shared_le (Gecode::SRT_LE, true)
RelBin | Test::Set::Rel::_relbin_shared_gq (Gecode::SRT_GQ, true)
RelBin | Test::Set::Rel::_relbin_shared_gr (Gecode::SRT_GR, true)
RelBin | Test::Set::Rel::_relbin_shared_nq (Gecode::SRT_NQ, true)
RelBin | Test::Set::Rel::_relbin_shared_sub (Gecode::SRT_SUB, true)
RelBin | Test::Set::Rel::_relbin_shared_sup (Gecode::SRT_SUP, true)
RelBin | Test::Set::Rel::_relbin_shared_disj (Gecode::SRT_DISJ, true)
RelBin | Test::Set::Rel::_relbin_shared_cmpl (Gecode::SRT_CMPL, true)
ITE | Test::Set::Rel::_ite